# $Revision: 1.5 $, $Date: 2008/07/27 22:49:56 $
#
# Conditional build
%bcond_with	tests	# perform "make test" (requires reader)
#
%include	/usr/lib/rpm/macros.perl
Summary:	No capitalization on method names
Summary(pl.UTF-8):	Brak wielkich liter w nazwach metod
Name:		perl-capitalization
Version:	0.03
Release:	2
License:	BSD
Group:		Libraries
Source0:	http://search.cpan.org/CPAN/authors/id/M/MI/MIYAGAWA/capitalization-%{version}.tar.gz
# Source0-md5:	94998b37b4f86bd2e5738ab3a8fb4e7c
URL:		http://search.cpan.org/~miyagawa/capitalization-0.03/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
No capitalization on method names.

%description -l pl.UTF-8
Brak wielkich liter w nazwach metod.

%prep
%setup -q -n capitalization-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-capitalization.spec,v $
Revision 1.5  2008/07/27 22:49:56  arekm
- release 2

Revision 1.4  2007-02-12 22:09:11  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.2  2006/06/10 11:46:05  qboosh
- pl

Revision 1.1  2006/06/06 10:20:56  arekm
- new
